org.springframework.cache.jcache.config

## Class AbstractJCacheConfiguration

- java.lang.Object
- - org.springframework.cache.annotation.AbstractCachingConfiguration
  - - org.springframework.cache.jcache.config.AbstractJCacheConfiguration

- All Implemented Interfaces:
    Aware, ImportAware
  Direct Known Subclasses:
    AspectJJCacheConfiguration, ProxyJCacheConfiguration

      @Configuration(proxyBeanMethods=false)
      public abstract class AbstractJCacheConfiguration
      extends AbstractCachingConfiguration

  Abstract JSR-107 specific `@Configuration` class providing common structure for enabling JSR-107 annotation-driven cache management capability.
  Since:
    4.1
  Author:
    Stephane Nicoll, Juergen Hoeller
  See Also:
    `JCacheConfigurer`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

      `AbstractCachingConfiguration.CachingConfigurerSupplier`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Supplier<CacheResolver>` | `exceptionCacheResolver`

    - ### Fields inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

      `cacheManager, cacheResolver, enableCaching, errorHandler, keyGenerator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJCacheConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCacheOperationSource` | `cacheOperationSource()`
    `protected void` | `useCachingConfigurer(AbstractCachingConfiguration.CachingConfigurerSupplier cachingConfigurerSupplier)` Extract the configuration from the nominated `CachingConfigurer`.

    - ### Methods inherited from class org.springframework.cache.annotation.AbstractCachingConfiguration

      `setImportMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### exceptionCacheResolver

          @Nullable
          protected Supplier<CacheResolver> exceptionCacheResolver

  - ### Constructor Detail

    - #### AbstractJCacheConfiguration

          public AbstractJCacheConfiguration()

  - ### Method Detail

    - #### useCachingConfigurer

          protected void useCachingConfigurer(AbstractCachingConfiguration.CachingConfigurerSupplier cachingConfigurerSupplier)

      Description copied from class: `AbstractCachingConfiguration`
      Extract the configuration from the nominated `CachingConfigurer`.
      Overrides:
        `useCachingConfigurer` in class `AbstractCachingConfiguration`

    - #### cacheOperationSource

          @Bean(name="jCacheOperationSource")
           @Role(value=2)
          public JCacheOperationSource cacheOperationSource()